Driver version 42.1.4 and Java 9

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Driver version 42.1.4 and Java 9

Thomas Kellerer
Hi,

I know that the driver does not officially support Java 9 but I use it nevertheless, and I thought you might be interested in this.

When starting a console application I can see the following warning from the JVM:

WARNING: An illegal reflective access operation has occurred
WARNING: Illegal reflective access by org.postgresql.jdbc.TimestampUtils (file:/C:/Users/tkellerer/.m2/repository/org/postgresql/postgresql/42.1.4/postgresql-42.1.4.jar) to field java.util.TimeZone.defaultTimeZone
WARNING: Please consider reporting this to the maintainers of org.postgresql.jdbc.TimestampUtils
WARNING: Use --illegal-access=warn to enable warnings of further illegal reflective access operations
WARNING: All illegal access operations will be denied in a future release

Regards
Thomas
 


Reply | Threaded
Open this post in threaded view
|

Re: Driver version 42.1.4 and Java 9

Vladimir Sitnikov
Thomas>I know that the driver does not officially support Java 9 but I use it nevertheless, and I thought you might be interested in this.

Thanks, it has been resolved in a current snapshot.


Vladimir
Previous Thread Next Thread